// Copyright 2025-2026 Gabriel Bjørnager Jensen.
//
// SPDX: MIT OR Apache-2.0

//! Formatting facilities for [`NVec`].

use core::fmt::{self, Debug, Formatter};
use nvec::NVec;

impl<T: Debug, const N: usize> Debug for NVec<T, N> {
	#[inline]
	fn fmt(&self, f: &mut Formatter<'_>) -> fmt::Result {
		Debug::fmt(self.as_slice(), f)
	}
}
